using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHIElectronics.NETMF.FEZ;

namespace NetduinoSwitchingLights
{
    public class LED : IDisposable
    {
        private OutputPort port;
        private bool state;

        public LED(FEZ_Pin.Digital pin)
            : this(pin, false)
        {
        }

        public LED(FEZ_Pin.Digital pin, bool initialState)
        {
            this.port = new OutputPort((Cpu.Pin)pin, initialState);
            this.state = initialState;
        }

        public void On()
        {
            this.port.Write(true);
            this.state = true;
        }

        public void Off()
        {
            this.port.Write(false);
            this.state = false;
        }

        public void Toggle()
        {
            if (this.state == true)
            {
                this.Off();
            }
            else
            {
                this.On();
            }
        }

        public bool State
        {
            get
            {
                return this.state;
            }
        }

        public void Dispose()
        {
            this.port.Dispose();
        }

    }
}
