﻿using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHIElectronics.NETMF.FEZ;
using System.Threading;

namespace NetduinoSwitchingLights
{
    public class SwitchingLights
    {
        public static LED Red = new LED(FEZ_Pin.Digital.Di1);
        public static LED Yellow = new LED(FEZ_Pin.Digital.Di0);
        public static LED Green = new LED(FEZ_Pin.Digital.Di3);

        private ActiveAnalog resistor;
        private int waitTime = 600;

        public SwitchingLights()
        {
            this.resistor = new ActiveAnalog(FEZ_Pin.AnalogIn.An3);
            this.resistor.ValueChanged += new ActiveAnalog.AnalogValueChange(resistor_ValueChanged);
        }

        void resistor_ValueChanged(int currentValue, int offset)
        {
            this.waitTime = 600 + (50 - currentValue) * 10;
        }

        public void Run()
        {
            while (true)
            {
                Thread.Sleep(this.waitTime);
                Red.On();
                Thread.Sleep(this.waitTime);
                Red.Off();
                Yellow.On();
                Thread.Sleep(this.waitTime);
                Yellow.Off();
                Green.On();
                Thread.Sleep(this.waitTime);
                Green.Off();
            }
        }

        public static void Main()
        {
            SwitchingLights switchingLights = new SwitchingLights();
            switchingLights.Run();
        }

    }
}
